Bug 852729 - connectStoragePool succeeds without running vgs
connectStoragePool succeeds without running vgs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1.0
All Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Ayal Baron
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 08:38 EDT by Gadi Ickowicz
Modified: 2016-02-10 12:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 08:46:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: Triaged+


Attachments (Terms of Use)
vdsm logs (820.62 KB, application/x-gzip)
2012-08-29 08:38 EDT, Gadi Ickowicz
no flags Details

  None (edit)
Description Gadi Ickowicz 2012-08-29 08:38:15 EDT
Created attachment 607894 [details]
vdsm logs

Description of problem:
sometimes when running connectStoragePool it runs and succeeds without running vgs. 

Version-Release number of selected component (if applicable):
vdsm-4.9.6-30.0.el6_3.x86_64

How reproducible:
?

Steps to Reproduce:
1. Run connectStoragePool and check logs to see if vgs was performed

  
Actual results:
connectStoragePool runs and succeeds even though it did not run vgs:

Thread-35810::INFO::2012-08-29 14:18:42,297::logUtils::37::dispatcher::(wrapper) Run and protect: connectStoragePool(spUUID='ce0bad90-8681-418d-b1ee-d15bf46c2ad2', hostID=1, scsiKey='ce0bad90-8681-418d-b1ee-d15bf4
6c2ad2', msdUUID='cfee089f-0bc5-4d39-8c47-6516d7fa014e', masterVersion=2, options=None)
Thread-35810::DEBUG::2012-08-29 14:18:42,298::resourceManager::175::ResourceManager.Request::(__init__) ResName=`Storage.ce0bad90-8681-418d-b1ee-d15bf46c2ad2`ReqID=`4d89f226-592a-4fa0-8e30-5f0b01a44bf4`::Request w
as made in '/usr/share/vdsm/storage/resourceManager.py' line '485' at 'registerResource'
Thread-35810::DEBUG::2012-08-29 14:18:42,298::resourceManager::486::ResourceManager::(registerResource) Trying to register resource 'Storage.ce0bad90-8681-418d-b1ee-d15bf46c2ad2' for lock type 'shared'
Thread-35810::DEBUG::2012-08-29 14:18:42,298::resourceManager::528::ResourceManager::(registerResource) Resource 'Storage.ce0bad90-8681-418d-b1ee-d15bf46c2ad2' is free. Now locking as 'shared' (1 active user)
Thread-35810::DEBUG::2012-08-29 14:18:42,299::resourceManager::212::ResourceManager.Request::(grant) ResName=`Storage.ce0bad90-8681-418d-b1ee-d15bf46c2ad2`ReqID=`4d89f226-592a-4fa0-8e30-5f0b01a44bf4`::Granted requ
est
Thread-35810::DEBUG::2012-08-29 14:18:42,299::misc::1080::SamplingMethod::(__call__) Trying to enter sampling method (storage.sdc.refreshStorage)
Thread-35810::DEBUG::2012-08-29 14:18:42,299::misc::1082::SamplingMethod::(__call__) Got in to sampling method
Thread-35810::DEBUG::2012-08-29 14:18:42,300::misc::1080::SamplingMethod::(__call__) Trying to enter sampling method (storage.iscsi.rescan)
Thread-35810::DEBUG::2012-08-29 14:18:42,300::misc::1082::SamplingMethod::(__call__) Got in to sampling method
Thread-35810::DEBUG::2012-08-29 14:18:42,300::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /sbin/iscsiadm -m session -R' (cwd None)
Thread-35810::DEBUG::2012-08-29 14:18:42,337::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = ''; <rc> = 0
Thread-35810::DEBUG::2012-08-29 14:18:42,338::misc::1090::SamplingMethod::(__call__) Returning last result
Thread-35810::DEBUG::2012-08-29 14:18:42,745::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /sbin/multipath' (cwd None)
Thread-35810::DEBUG::2012-08-29 14:18:42,902::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = ''; <rc> = 0
Thread-35810::DEBUG::2012-08-29 14:18:42,902::lvm::460::OperationMutex::(_invalidateAllPvs) Operation 'lvm invalidate operation' got the operation mutex
Thread-35810::DEBUG::2012-08-29 14:18:42,903::lvm::462::OperationMutex::(_invalidateAllPvs) Operation 'lvm invalidate operation' released the operation mutex
Thread-35810::DEBUG::2012-08-29 14:18:42,903::lvm::472::OperationMutex::(_invalidateAllVgs) Operation 'lvm invalidate operation' got the operation mutex
Thread-35810::DEBUG::2012-08-29 14:18:42,903::lvm::474::OperationMutex::(_invalidateAllVgs) Operation 'lvm invalidate operation' released the operation mutex
Thread-35810::DEBUG::2012-08-29 14:18:42,904::lvm::493::OperationMutex::(_invalidateAllLvs) Operation 'lvm invalidate operation' got the operation mutex
Thread-35810::DEBUG::2012-08-29 14:18:42,904::lvm::495::OperationMutex::(_invalidateAllLvs) Operation 'lvm invalidate operation' released the operation mutex
Thread-35810::DEBUG::2012-08-29 14:18:42,904::misc::1090::SamplingMethod::(__call__) Returning last result
Thread-35810::DEBUG::2012-08-29 14:18:42,905::sp::1528::Storage.StoragePool::(getMasterDomain) Master domain cfee089f-0bc5-4d39-8c47-6516d7fa014e verified, version 2
Thread-35810::DEBUG::2012-08-29 14:18:42,905::resourceManager::538::ResourceManager::(releaseResource) Trying to release resource 'Storage.ce0bad90-8681-418d-b1ee-d15bf46c2ad2'
Thread-35810::DEBUG::2012-08-29 14:18:42,905::resourceManager::553::ResourceManager::(releaseResource) Released resource 'Storage.ce0bad90-8681-418d-b1ee-d15bf46c2ad2' (0 active users)
Thread-35810::DEBUG::2012-08-29 14:18:42,906::resourceManager::558::ResourceManager::(releaseResource) Resource 'Storage.ce0bad90-8681-418d-b1ee-d15bf46c2ad2' is free, finding out if anyone is waiting for it.
Thread-35810::DEBUG::2012-08-29 14:18:42,906::resourceManager::565::ResourceManager::(releaseResource) No one is waiting for resource 'Storage.ce0bad90-8681-418d-b1ee-d15bf46c2ad2', Clearing records.
Thread-35810::INFO::2012-08-29 14:18:42,906::logUtils::39::dispatcher::(wrapper) Run and protect: connectStoragePool, Return response: None


Expected results:
connectStoragePool should ensure the vg is visible when executing the command

Additional info:
Comment 2 Ayal Baron 2012-09-06 08:57:24 EDT
What is the impact?
i.e. does anything fail?
Comment 3 Haim 2012-09-06 09:29:36 EDT
(In reply to comment #2)
> What is the impact?
> i.e. does anything fail?

no visible impact. you can lower the priority.
Comment 4 RHEL Product and Program Management 2012-12-14 03:53:49 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Ayal Baron 2013-09-01 08:46:14 EDT
According to comment 3 and considering a lot of changes we made in the area I don't see any need to pursue this.

Note You need to log in before you can comment on or make changes to this bug.